public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop-bin/
Date: Tue,  7 Feb 2023 21:38:37 +0000 (UTC)	[thread overview]
Message-ID: <1675805903.7fdac9823fd6918cc2f5d379f515268c482e006f.andrewammerlaan@gentoo> (raw)

commit:     7fdac9823fd6918cc2f5d379f515268c482e006f
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  7 21:37:30 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Feb  7 21:38:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fdac982

sci-misc/jupyterlab-desktop-bin: add 3.6.1.1

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-misc/jupyterlab-desktop-bin/Manifest           |   1 +
 .../jupyterlab-desktop-bin-3.6.1.1.ebuild          | 111 +++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/sci-misc/jupyterlab-desktop-bin/Manifest b/sci-misc/jupyterlab-desktop-bin/Manifest
index 882e19e4a4d1..d459922cf644 100644
--- a/sci-misc/jupyterlab-desktop-bin/Manifest
+++ b/sci-misc/jupyterlab-desktop-bin/Manifest
@@ -1,2 +1,3 @@
 DIST jupyterlab-desktop-bin-3.5.0.1.rpm 331913564 BLAKE2B 1035fb96b7289a465d2b0d3e60dbb975ab4cb76132c8cbe43162b13b5a7950045940b8fb458a0139719dee1b5648249666529c39fdd53da9b04a97b7b2187eb7 SHA512 4e6d146c7448186e38175128c4ef67aed6b0bbc3a47de2734be1ff23dcb2814236aab9aa4820f02aae0d2ea3fd3656e48b0a53a5f3f8c27f33dcdd83908ade48
 DIST jupyterlab-desktop-bin-3.5.1.1.rpm 323640057 BLAKE2B d6516d922f28eed846af92be3bdccbf9c2d656c4056fabb118c3dd3d6d3bafc68e11cd7ffe5fa97172c2125da826b352758546d8fd4c2dd2a3748031f4c5b0b3 SHA512 3b46834532776b341f3b9b74e38d32c11bcf909634b8a2695f1d4d0c9cb829b4d5013f1349b099acd84cf40e17fa9ad9bb8f2ed5f134d0d7b521f599fc6227e0
+DIST jupyterlab-desktop-bin-3.6.1.1.rpm 321961145 BLAKE2B e2662ac07d2af9a69230a95782d1a9a4bd7e92e357952b51f45b254adae7423a338878214c422ba50b977dabdcd8fa21996145ac53e0fc3867105a444aa0c400 SHA512 c586c4b738ad975dbe044a24a95a7ef38de91e8b331c98ae99fa3610631945d437bda7e08ebb9ff0760bc2772bde0c9e9b92d45b6dc73b7e880d6a093ca8e7aa

diff --git a/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-3.6.1.1.ebuild b/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-3.6.1.1.ebuild
new file mode 100644
index 000000000000..4bb8e3351976
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-3.6.1.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+	af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+	hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+	sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+inherit chromium-2 desktop rpm xdg
+
+DESCRIPTION="JupyterLab desktop application, based on Electron"
+HOMEPAGE="https://jupyter.org/"
+SRC_URI="https://github.com/jupyterlab/${PN%%-bin}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora.rpm -> ${P}.rpm"
+S="${WORKDIR}"
+
+KEYWORDS="-* ~amd64"
+# Electron bundles a bunch of things
+LICENSE="
+	MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 LGPL-2.1 APSL-2
+	unRAR OFL CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+RESTRICT="bindist mirror"
+
+RDEPEND="
+	>=app-accessibility/at-spi2-core-2.46.0:2
+	dev-libs/expat
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	>=dev-python/jupyterlab-$(ver_cut 1-3)
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-libs/glibc
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/libxshmfence
+	x11-libs/pango
+"
+
+QA_PREBUILT="opt/JupyterLab/*"
+
+pkg_pretend() {
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+	default
+	# cleanup languages
+	pushd "opt/JupyterLab/locales" || die
+	chromium_remove_language_paks
+	popd || die
+}
+
+src_configure() {
+	chromium_suid_sandbox_check_kernel_config
+	default
+}
+
+src_install() {
+	for size in {16,32,48,64,128,256,512}; do
+		doicon -s ${size} "usr/share/icons/hicolor/${size}x${size}/apps/jupyterlab-desktop.png"
+	done
+
+	domenu usr/share/applications/jupyterlab-desktop.desktop
+
+	local DESTDIR="/opt/JupyterLab"
+	pushd "opt/JupyterLab" || die
+
+	exeinto "${DESTDIR}"
+	doexe chrome-sandbox chrome_crashpad_handler jupyterlab-desktop *.so*
+
+	insinto "${DESTDIR}"
+	doins *.pak *.bin *.json *.dat
+	insopts -m0755
+	doins -r locales resources
+
+	# Chrome-sandbox requires the setuid bit to be specifically set.
+	# see https://github.com/electron/electron/issues/17972
+	fperms 4755 "${DESTDIR}"/chrome-sandbox
+
+	dosym "${DESTDIR}"/jupyterlab-desktop /opt/bin/jupyterlab-desktop
+	popd || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	elog ""
+	elog "On initial startup you will be prompted to select the python environment of"
+	elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
+	elog "or choose /usr/bin/python to follow the system wide setting in"
+	elog "/etc/python-exec/python-exec.conf."
+	elog "Please note that only python environments corresponding to the enabled"
+	elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
+	elog ""
+}


             reply	other threads:[~2023-02-07 21:38 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-07 21:38 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 14:24 [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop-bin/ Andrew Ammerlaan
2024-05-26 20:56 Andrew Ammerlaan
2024-05-13 17:33 Ulrich Müller
2024-05-13 16:11 Ulrich Müller
2024-04-30  7:52 Andrew Ammerlaan
2024-04-30  7:52 Andrew Ammerlaan
2024-03-22 21:35 Andrew Ammerlaan
2024-03-08 11:02 Andrew Ammerlaan
2024-03-08 11:02 Andrew Ammerlaan
2024-02-24  6:28 Andrew Ammerlaan
2024-02-19 10:33 Andrew Ammerlaan
2024-02-19 10:33 Andrew Ammerlaan
2024-02-08 13:37 Andrew Ammerlaan
2024-02-03 20:04 Andrew Ammerlaan
2024-02-01 10:08 Andrew Ammerlaan
2024-01-22 13:34 Andrew Ammerlaan
2023-10-27  7:48 Andrew Ammerlaan
2023-10-27  7:48 Andrew Ammerlaan
2023-07-09 18:50 Andrew Ammerlaan
2023-07-09 18:50 Andrew Ammerlaan
2023-06-11 14:16 Andrew Ammerlaan
2023-06-11 14:16 Andrew Ammerlaan
2023-05-19 13:40 Andrew Ammerlaan
2023-04-23 11:25 Andrew Ammerlaan
2023-04-23 11:25 Andrew Ammerlaan
2023-03-29 13:52 Andrew Ammerlaan
2023-03-29 13:52 Andrew Ammerlaan
2023-03-15  8:33 Andrew Ammerlaan
2023-02-23  7:36 Andrew Ammerlaan
2023-02-23  7:36 Andrew Ammerlaan
2023-02-13  9:11 Andrew Ammerlaan
2022-12-20 20:03 Andrew Ammerlaan
2022-12-20 20:03 Andrew Ammerlaan
2022-11-07 11:32 Andrew Ammerlaan
2022-11-07 11:12 Andrew Ammerlaan
2022-11-07 11:12 Andrew Ammerlaan
2022-10-05 13:46 Andrew Ammerlaan
2022-08-31  9:45 Andrew Ammerlaan
2022-08-31  9:45 Andrew Ammerlaan
2022-08-07  8:58 Andrew Ammerlaan
2022-08-07  8:58 Andrew Ammerlaan
2022-05-19 11:04 Andrew Ammerlaan
2022-05-02 10:56 Andrew Ammerlaan
2022-05-02 10:56 Andrew Ammerlaan
2022-03-28 18:21 Andrew Ammerlaan
2022-03-28 18:21 Andrew Ammerlaan
2022-03-24  8:39 Andrew Ammerlaan
2022-03-18 15:14 Andrew Ammerlaan
2022-02-21 19:02 Andrew Ammerlaan
2021-12-23 13:11 Andrew Ammerlaan
2021-12-23 13:11 Andrew Ammerlaan
2021-11-28 12:06 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675805903.7fdac9823fd6918cc2f5d379f515268c482e006f.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox